main()
{
	
	setCullFog (1500, 8300, 0.2275, 0.4039, .4275, 0);
	
	ambientPlay("ambient_teitenga");
      	level thread maps\mp\ptt_helis1a::main();

	maps\mp\_load::main();

       	level thread maps\mp\ttp_fx::main();

      	level thread maps\mp\ptt_rocket::main();

	level thread maps\mp\_tankdrive_gmi::main();
	level thread maps\mp\_jeepdrive_gmi::main();

	game["bas_layoutimage"] = "tei_tenga_project";
	game["ctf_layoutimage"] = "tei_tenga_project";
	game["layoutimage"] = "tei_tenga_project";

	game["hud_allies_victory_image"]= "gfx/hud/hud@mp_victory_murica.dds";
	game["hud_axis_victory_image"] = "gfx/hud/hud@mp_victory_nazibird.dds";
        
	game["compass_range"] = 6124;	

	game["allies"] = "american"; 
	game["axis"] = "german";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "winter";
	game["german_soldiertype"] = "wehrmacht";
	game["german_soldiervariation"] = "winter";

		if(getCvar("scr_bas_basehealth") == "")		
		setCvar("scr_bas_basehealth", "24500");	
	if(getCvar("scr_bas_damagedhealth") == "")	
		setCvar("scr_bas_damagedhealth", getCvarInt("scr_bas_basehealth")/2);

	game["bas_allies_rubble"] 	= "xmodel/mp_bunker_rhinevalley_rubble";
	game["bas_allies_complete"] 	= "xmodel/mp_bunker_rhinevalley";
	game["bas_allies_damaged"] 	= "xmodel/mp_bunker_rhinevalley_predmg";
	game["bas_allies_destroyed"] 	= "xmodel/mp_bunker_rhinevalley_dmg";
	game["bas_axis_rubble"] 	= "xmodel/mp_bunker_rhinevalley_rubble";
	game["bas_axis_complete"] 	= "xmodel/mp_bunker_rhinevalley";
	game["bas_axis_damaged"] 	= "xmodel/mp_bunker_rhinevalley_predmg";
	game["bas_axis_destroyed"] 	= "xmodel/mp_bunker_rhinevalley_dmg";

        maps\mp\_util_mp_gmi::base_swapper();

	maps\mp\project_tei_tenga_winter_final::move_bases();

	level.obj["Code Book"] = (&"RE_OBJ_CODE_BOOK");
	level.obj["Field Radio"] = (&"RE_OBJ_FIELD_RADIO");
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	game["re_attackers_obj_text"] = (&"GMI_MP_TEITENGAPROJECT_RE_OBJ_TTP_ATTACKER");
	game["re_defenders_obj_text"] = (&"GMI_MP_TEITENGAPROJECT_RE_OBJ_TTP_DEFENDER");
	game["re_spectator_obj_text"] = (&"GMI_MP_TEITENGAPROJECT_RE_OBJ_TTP_SPECTATOR");
	game["re_attackers_intro_text"] = (&"GMI_MP_TEITENGAPROJECT_RE_OBJ_TTP_SPAWN_ATTACKER");
	game["re_defenders_intro_text"] = (&"GMI_MP_TEITENGAPROJECT_RE_OBJ_TTP_SPAWN_DEFENDER");

	wait (.5);

	maps\mp\futuredoors::main();
	maps\mp\futurelazers::main();
	maps\mp\futureteck::main();
       	maps\mp\futurefountains::main();
	level thread rotor_swapper();

	wait (.05);

	level thread vehicle_nixer();

	wait (.5);

	maps\mp\futuregdoors::main();

	wait (.05);

	level thread futuremaps();

}

futuremaps()
{
	level.futuremap1 = getent("futuremap1","targetname");	
	if (isdefined(level.futuremap1))
		level.futuremap1 thread maps\mp\_futuremap_rotate::futuremap_spin();

	level.futuremap2 = getent("futuremap2","targetname");	
	if (isdefined(level.futuremap1))
		level.futuremap2 thread maps\mp\_futuremap_rotate::futuremap_spin();
}

move_bases()
{				
	base_movers = [];	
		
	entitytypes = getentarray();
	for(i = 0; i < entitytypes.size; i++)
	{
		if(isdefined(entitytypes[i].groupname))
		{
			if(entitytypes[i].groupname == "base_mover")
			{		
				entitytypes[i] moveto(entitytypes[i].origin+(0,0,256), 0.1,0,0);	
			}
	
		}
	}
}

vehicle_nixer()
{
	level.tanks = getentarray ("tank","targetname");
	level.jeeps = getentarray ("jeep","targetname");
	if (getcvar("g_gametype") == "re")
	{
		for (i=0;i<level.tanks.size;i++)
		{
			level.tanks[i] delete();
		}
		for (i=0;i<level.jeeps.size;i++)
		{
			level.jeeps[i] delete();
		}
	}
	if (getcvar("g_gametype") == "hq")
	{
		for (i=0;i<level.tanks.size;i++)
		{
			level.tanks[i] delete();
		}
		for (i=0;i<level.jeeps.size;i++)
		{
			level.jeeps[i] delete();
		}
	}
}

rotor_swapper()
{
	wait (.05);
	rotor1 = getent("re_heli_rotor1","targetname");
	spinner1 = getent("heli_spinner1","targetname");
	wait (.05);
	rotor1s = spawn("script_model",(1623,1303,2600));
	wait (.05);
	rotor2s = spawn("script_model",(4621,1923,2000));
	wait (.05);
	rotor2s playloopsound("heli_idle");
	wait (.05);
	rotor1s playloopsound("heli_idle"); 
	wait (.1);
	if (getcvar("g_gametype") == "re")
	{
		rotor1 delete();
	}
	else
	{
		spinner1 delete();
		rotor1s delete();
	}
}